Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.impl.endpoint
Class AbstractEndpointAnnotationParser

    java.lang.Object
      org.mule.impl.endpoint.AbstractEndpointAnnotationParser

All Implemented Interfaces:
  MuleContextAware, EndpointAnnotationParser

Direct Known Subclasses:
  ReplyAnnotationParser

    public abstract class AbstractEndpointAnnotationParser

extends Object
implements EndpointAnnotationParser, MuleContextAware

TODO

Field Summary
`protected MuleContext` | `muleContext`

Constructor Summary
`AbstractEndpointAnnotationParser()`

Method Summary
`protected Map` | `convertProperties(String properties)`
`protected abstract AnnotatedEndpointData` | `createEndpointData(Annotation annotation)`
`protected AnnotatedEndpointBuilder` | `getEndpointBuilder()`
`protected abstract String` | `getIdentifier()`
`protected
`<T> T`
` | `lookupConfig(String location, Class<T> type)`
`InboundEndpoint` | `parseInboundEndpoint(Annotation annotation, Map metaInfo)` Creates an inbound endpoint from the annotation.
`OutboundEndpoint` | `parseOutboundEndpoint(Annotation annotation, Map metaInfo)` Creates an outbound endpoint from the annotation.
`void` | `setMuleContext(MuleContext context)`
`boolean` | `supports(Annotation annotation, Class clazz, Member member)` Determines whether this parser can process the current annotation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### muleContext

    protected MuleContext muleContext

Constructor Detail

### AbstractEndpointAnnotationParser

    public AbstractEndpointAnnotationParser()

Method Detail

### setMuleContext

    public void setMuleContext(MuleContext context)

  Specified by:
    `setMuleContext` in interface `MuleContextAware`

### getEndpointBuilder

    protected AnnotatedEndpointBuilder getEndpointBuilder()
                                                   throws MuleException

  Throws:
    `MuleException`

### parseOutboundEndpoint

    public OutboundEndpoint parseOutboundEndpoint(Annotation annotation,
                                                  Map metaInfo)
                                           throws MuleException

  Description copied from interface: `EndpointAnnotationParser`
  Creates an outbound endpoint from the annotation.

  Specified by:
    `parseOutboundEndpoint` in interface `EndpointAnnotationParser`
  Parameters:
    `annotation` - the annotation to process
    `metaInfo` - any additional info that can be used to construct the endpoint. Typically a connector name might be in this map so that all endpoints for the current object can share the same connector
  Returns:
    a new `OutboundEndpoint` object configured according to the annotation
  Throws:
    `MuleException` - if the outbound endpoint cannot be created. A Mule-specific error will be thrown.

### parseInboundEndpoint

    public InboundEndpoint parseInboundEndpoint(Annotation annotation,
                                                Map metaInfo)
                                         throws MuleException

  Description copied from interface: `EndpointAnnotationParser`
  Creates an inbound endpoint from the annotation.

  Specified by:
    `parseInboundEndpoint` in interface `EndpointAnnotationParser`
  Parameters:
    `annotation` - the annotation to process
    `metaInfo` - any additional info that can be used to construct the endpoint. Typically a connector name might be in this map so that all endpoints for the current object can share the same connector
  Returns:
    a new `InboundEndpoint` object configured according to the annotation
  Throws:
    `MuleException` - if the inbound endpoint cannot be created. A Mule-specific error will be thrown.

### supports

    public boolean supports(Annotation annotation,
                            Class clazz,
                            Member member)

  Description copied from interface: `EndpointAnnotationParser`
  Determines whether this parser can process the current annotation. The clazz and member params are passed in so that further validation be done on the location, type or name of these elements.

  Specified by:
    `supports` in interface `EndpointAnnotationParser`
  Parameters:
    `annotation` - the annotation being processed
    `clazz` - the class on which the annotation was found
    `member` - the member on which the annotation was found inside the class. This is only set when the annotation was either set on a `Method`, `Field` or `Constructor` class member, otherwise this value is null.
  Returns:
    true if this parser supports the current annotation, false otherwise

### convertProperties

    protected Map convertProperties(String properties)

### lookupConfig

    protected <T> T lookupConfig(String location,
                                 Class<T> type)
                      throws ConfigurationException

  Throws:
    `ConfigurationException`

### getIdentifier

    protected abstract String getIdentifier()

### createEndpointData

    protected abstract AnnotatedEndpointData createEndpointData(Annotation annotation)
                                                         throws MuleException

  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.